### Function

# Gio DBusActionGroup get

since: 2.32

#### Declaration

    GDBusActionGroup*
    g_dbus_action_group_get (
      GDBusConnection* connection,
      const gchar* bus_name,
      const gchar* object_path
    )

#### Description

Obtains a `GDBusActionGroup` for the action group which is exported at the given `bus_name` and `object_path`.

The thread default main context is taken at the time of this call. All signals on the menu model (and any linked models) are reported with respect to this context. All calls on the returned menu model (and linked models) must also originate from this same context, with the thread default main context unchanged.

This call is non-blocking. The returned action group may or may not already be filled in. The correct thing to do is connect the signals for the action group to monitor for changes and then to call `g_action_group_list_actions()` to get the initial list.

Available since: 2.32

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`bus_name`

  Type: `const gchar*`

  The bus name which exports the action group or `NULL` if `connection` is not a message bus connection.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object_path`

  Type: `const gchar*`

  The object path at which the action group is exported.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GDBusActionGroup`

A `GDBusActionGroup`.

The caller of the function takes ownership of the data, and is responsible for freeing it.